bullet = {}

function bullet.shoot(button)
  if button == "l" then
    local mouseX = love.mouse.getX()
    local mouseY = love.mouse.getY()
    --local rot = math.atan2(mouseY - 384, mouseX - 540)    --Should be screen width/2 and height/2
    local rot = math.atan2(mouseY - 384, mouseX - 540)
    local bulletXForce = math.cos(rot)
    local bulletYForce = math.sin(rot)
        
    if bulletID == nil then bulletID = 1 end
    bullet[bulletID] = {}
    bullet[bulletID].body = love.physics.newBody(world, ship.body:getX(), ship.body:getY(), 'dynamic')
    bullet[bulletID].shape = love.physics.newRectangleShape(5,2)
    bullet[bulletID].fixture = love.physics.newFixture(bullet[bulletID].body, bullet[bulletID].shape)
    --bullet[bulletID].fixture:setFilterDate(0x0002,0x0004,1) --Category/Mask/Group (16 Bit Integer)
    --bullet[bulletID].fixture:setCategory(2)     --Sets the categories the fixture belongs to.
    --bullet[bulletID].fixture:setMask(3)        --Sets which categories this fixture should NOT collide with.
    bullet[bulletID].fixture:setGroupIndex(-1) --Returns the group the fixture belongs to.
    bullet[bulletID].fixture:setUserData("bullet"..bulletID)
    bullet[bulletID].body:setBullet(true)
    bullet[bulletID].body:setActive(false)
    bullet[bulletID].angle = bullet[bulletID].body:getAngle()
    bullet[bulletID].body:setAngle(rot)
    bullet[bulletID].body:setActive(true)
    bullet[bulletID].body:applyLinearImpulse(bulletXForce, bulletYForce)
    bullet[bulletID].time = love.timer.getTime()
    bulletID = bulletID + 1
  end
end

function bullet.draw()
  for bulletID = 1, #bullet do
    if bullet[bulletID].body:isActive() then    
      if(love.timer.getTime() - bullet[bulletID].time >= 2) then
        bullet[bulletID].body:setActive(false)
      else
        love.graphics.polygon('fill', bullet[bulletID].body:getWorldPoints(bullet[bulletID].shape:getPoints()))
      end
    end
  end
end

function bullet.destroy(body)
end