asteroid = {}

function asteroid.spawn(x, y)
  if asteroidID == nil then asteroidID = 1 end
  asteroid[asteroidID] = {}
  asteroid[asteroidID].body = love.physics.newBody(world, x, y, 'dynamic')
  asteroid[asteroidID].shape = love.physics.newCircleShape(15)
  asteroid[asteroidID].fixture = love.physics.newFixture(asteroid[asteroidID].body, asteroid[asteroidID].shape)
  --bullet[bulletID].fixture:setFilterDate(0x0002,0x0004,1) --Category/Mask/Group (16 Bit Integer)
  --bullet[bulletID].fixture:setCategory(2)     --Sets the categories the fixture belongs to.
  --bullet[bulletID].fixture:setMask(3)        --Sets which categories this fixture should NOT collide with.
  asteroid[asteroidID].fixture:setGroupIndex(1) --Returns the group the fixture belongs to.
  asteroid[asteroidID].fixture:setUserData("asteroid" .. asteroidID)
  asteroid[asteroidID].body:setBullet(false)
  asteroid[asteroidID].body:setActive(false)
  asteroid[asteroidID].angle = asteroid[asteroidID].body:getAngle()
  asteroid[asteroidID].body:setActive(true)
  asteroid[asteroidID].body:setLinearDamping(4)
  asteroid[asteroidID].health = 10
  asteroid[asteroidID].R = 139
  asteroid[asteroidID].G = 119
  asteroid[asteroidID].B = 101
  asteroidID = asteroidID + 1
end

function asteroid.draw()
  for asteroidID = 1, #asteroid do
    if asteroid[asteroidID].body:isActive() then 
      love.graphics.setColor(asteroid[asteroidID].R,asteroid[asteroidID].G,asteroid[asteroidID].B)
      love.graphics.circle('fill', asteroid[asteroidID].body:getX(), asteroid[asteroidID].body:getY(), 15, 100)
    end
  end
end
  
function asteroid.Collision(a,b)
  --We want the asteroid to lose HP when its hit by a bullet
  if    (string.sub(tostring(a:getUserData()),1,6) == "bullet") then    --The bullet is hitting the roid
        --Retrieving the ID's
        local bulletID = tonumber(string.sub(tostring(a:getUserData()),7))
        local asteroidID = tonumber(string.sub(tostring(b:getUserData()),9))
        --The effects
        asteroid[asteroidID].health = asteroid[asteroidID].health - 1
        bodyQueu.add(bullet[bulletID].body)
  elseif(string.sub(tostring(b:getUserData()),1,6) == "bullet") then    --The roid is hitting the bullet (RARE)
      print("Roid number " .. string.sub(tostring(b:getUserData()),9) .. " was hit by Unkown")
      local asteroidID = tonumber(string.sub(tostring(b:getUserData()),9))
      asteroid[asteroidID].health = asteroid[asteroidID].health - 1
  end
end
  
function asteroid.update()
  for asteroidID = 1, #asteroid do
    if(asteroid[asteroidID].health <= 0) then
      asteroid.setColor(asteroidID, 255, 0, 0)
      --asteroid[asteroidID].body:setActive(false)
    elseif(asteroid[asteroidID].health <= 2) then
      asteroid.setColor(asteroidID, 0, 255, 0)
    elseif(asteroid[asteroidID].health <= 6) then
      asteroid.setColor(asteroidID, 0, 0, 255)
    end
  end
end

function asteroid.setColor(asteroidID, r, g, b)
  asteroid[asteroidID].R = r
  asteroid[asteroidID].G = g
  asteroid[asteroidID].b = b
end

function asteroid.setHealth(asteroidID, number)
  asteroid[asteroidID].health = asteroid[asteroidID].health + number
end