bullet = {}

function bullet.create(x, y, rot, speed)
  table.insert(bullet, {x = x, y = y , rot = rot, speed = speed, timer=0})
end

function bullet.draw()
  for i,v in ipairs(bullet) do
    love.graphics.setColor(255,255,255)
    love.graphics.rectangle('fill', v.x, v.y, 10,10)
  end
end

function bullet.update(dt)
  for i,b in ipairs(bullet) do
    b.x = b.x + math.cos(b.rot) * b.speed * dt
    b.y = b.y + math.sin(b.rot) * b.speed * dt
  end
end

function bullet.collision(dt)
  for i = #bullet, 1, -1 do
    for e = #enemy, 1, -1 do
      if  (
          (bullet[i].x >= enemy[e].x and bullet[i].x <= enemy[e].x+enemy[e].width) or
          (bullet[i].x + 10 >= enemy[e].x and bullet[i].x + 10 <= enemy[e].x+enemy[e].width)
          ) and 
            --Horizontaal is true
          (
          (bullet[i].y >= enemy[e].y and bullet[i].y <= enemy[e].y+enemy[e].height) or
          (bullet[i].y + 10 >= enemy[e].y and bullet[i].y + 10 <= enemy[e].y+enemy[e].height)
          )
            --Verticaal is true
            
          then
          --Horizontaal + Verticaal true = HIT
          table.remove(bullet, i)
          table.remove(enemy, e)
            
          end
    end
  end
end

function bullet.shoot(x,y,button)
  if button == "l" then
    local mouseX = love.mouse.getX()
    local mouseY = love.mouse.getY()
    local rot = math.atan2(y - 384, x - 540)    --Should be screen width/2 and height/2
    local bulletSpeed = 100 + player.speed
    
    bullet.create(player.x, player.y , rot, bulletSpeed)
  elseif button == "r" then
    print(love.graphics.getMode())
  end
end