require ("bullet")

player = {}
player.x = 540
player.y = 360
player.rot = 0
player.speed = 0
player.maxSpeed = 450
player.acceleration = player.maxSpeed/2   --2 Second(s) from 0 to maxSpeed
player.breakspeed = player.maxSpeed/6     --6 Second(s) from maxSpeed to 0
player.rotspeed = 2*(math.pi)/3                 --3 Second(s) for full rotation
player.health = 20
player.damage = 2
player.scaling = 0.5

player.pic = love.graphics.newImage("img/Ship.png")
player.engine = love.graphics.newImage("img/jetEngine.png")
player.jetFlame = love.graphics.newImage("img/jetFlame.png")
player.hotFlame = love.graphics.newImage("img/jetFlameHot.png")

function player_draw()
	love.graphics.setColor(255,255,255)
  
	love.graphics.draw(player.pic, player.x, player.y, 
    player.rot+math.pi, player.scaling, player.scaling, 
    player.pic:getWidth()/2, player.pic:getHeight()/2)
  
  --love.graphics.draw(player.engine,
  --  player.x + player.scaling*13, player.y - player.scaling*26, 
  --  player.rot+math.pi, player.scaling*0.45, player.scaling*0.45, 
  --  player.pic:getWidth()/2, player.pic:getHeight()/2)
end

function player_move(dt)
  player.x = player.x + (math.cos(player.rot+0.5*math.pi)) * player.speed * dt
  player.y = player.y + (math.sin(player.rot+0.5*math.pi)) * player.speed * dt
  
  if player.rot > 2*math.pi or player.rot < -2*math.pi then
    player.rot = 0
  end
    
	if love.keyboard.isDown("down", "s") then
	end
	
	if love.keyboard.isDown("up", "w") then
    if player.speed < player.maxSpeed then
        player.speed = player.speed + player.acceleration * dt
    end
	else
    if player.speed > 0 then
      player.speed = player.speed - player.breakspeed *dt
    elseif player.speed < 0 then
      player.speed = 0
    end
  end
	
	if love.keyboard.isDown("left", "a") then
		player.rot = player.rot - player.rotspeed * dt
	end
	
	if love.keyboard.isDown("right", "d") then
		player.rot = player.rot + player.rotspeed * dt
	end
end