ship = {}

function ship.load()
  ship.pic = love.graphics.newImage("img/Ship.png")
  ship.body = love.physics.newBody(world, ship.pic:getWidth(), ship.pic:getHeight(), "dynamic")
  ship.shape = love.physics.newRectangleShape(30,30)
  ship.fixture = love.physics.newFixture(ship.body, ship.shape, 10)
 
  --ship.fixture:setCategory(2)   --Sets the categories the fixture belongs to.
  --ship.fixture:setMask(3)       --Sets which categories this fixture should NOT collide with.
  ship.fixture:setGroupIndex(-1) --Returns the group the fixture belongs to.
  ship.fixture:setUserData("Ship")
  ship.fixture:setCategory(1)
  ship.body:setAngularDamping(2)
  ship.body:setLinearDamping(0.5)
  ship.body:setAngularVelocity(0)
end

function ship.draw()
	love.graphics.setColor(255,255,255)
  love.graphics.draw(ship.pic, ship.body:getX(), ship.body:getY(), ship.body:getAngle(),1,1,
  ship.pic:getWidth()/2,ship.pic:getHeight()/2)
end

function ship.move()
  newShipX = math.cos(ship.body:getAngle()+1.5*math.pi) * 800
  newShipY = math.sin(ship.body:getAngle()+1.5*math.pi) * 800

  if love.keyboard.isDown("w" or "up") then
    ship.body:applyForce(newShipX,newShipY)
  end
  if love.keyboard.isDown("a" or "left") then
    ship.body:applyTorque(-50*64)
  end
  if love.keyboard.isDown("d" or "right") then
    ship.body:applyTorque(50*64)
  end
  if love.keyboard.isDown("s" or "down") then
    ship.body:setLinearDamping(4)
  else
    ship.body:setLinearDamping(0.5)
  end
  
end