width = love.graphics.getWidth()
height = love.graphics.getHeight()
p = 300 --Increases the padding thus increasing the spreading of stars
bg = love.graphics.newImage("img/space.jpg")
planet16 = love.graphics.newImage("img/planets/planet16.png")
planet19 = love.graphics.newImage("img/planets/planet19.png")

function stars_load(max_stars)
  stars = {}
  stars.speed = 1 --Smaller number results in less shifting of stars
  --Draw max_stars in the field with width_screen and height_screen
  stars.xMovement = 10
  stars.yMovement = 10
  stars.size = 2
   for i=1, max_stars do
      local x = math.random(-p, width+p)
      local y = math.random(-p, height+p)
      stars[i] = {x, y}
  end
end

function stars_update(dt)
  for i=1, #stars do
    stars[i] = {stars[i][1]+(stars.xMovement*dt), stars[i][2]+(stars.yMovement*dt)}
    
    if stars[i][1] > (camera.x + p + width) then          --Als sterren er rechts buiten vallen
      local newX = (camera.x - math.random(0, p))
      local newY = (stars[i][2] + math.random(-p, height+p))
      stars[i] = {newX, newY}
    elseif stars[i][1] < (camera.x - p) then              --Als sterren er links buiten vallen
      local newX = (camera.x + math.random(0, p) + width)
      local newY = (stars[i][2] + math.random(-p, height+p))
      stars[i] = {newX, newY}
    elseif stars[i][2] < (camera.y - p) then              --NOTE: Y omhoog is NEGATIEF! Omlaag is POSITIEF!
      local newX = (stars[i][1] + math.random(-p, width+p))  --Als sterren er boven uitvallen
      local newY = (camera.y + height + math.random(0, p))   
      stars[i] = {newX, newY}
    elseif stars[i][2] > camera.y + height + p then       --Als sterren er onder uitvallen
      local newX = (stars[i][1] + math.random(-p, width+p))
      local newY = (camera.y - math.random(0, p))
      stars[i] = {newX, newY}
    end
  end
end

function stars_draw()
  love.graphics.setColor(255,180,255)  --White stars
  love.graphics.setPointSize( stars.size / camera.scaleX )
  for i=1, #stars do
      love.graphics.point((stars[i][1]-camera.x), (stars[i][2]-camera.y)) --Adjust camera
  end
end

function bg_draw()
  love.graphics.draw(bg, 0,0)
  love.graphics.draw(planet19, 300-(0.01* camera.x), 15-(0.01* camera.y ), 0, 0.55,0.55)
  love.graphics.draw(planet16, 290-(0.0105* camera.x), 50-(0.0105* camera.y ), 0, 1,1)
end